Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

can not install latest version on windows 2008 sbs server

  • 2 replies
  • 4 have this problem
  • 65 views
  • Last reply by James

more options

I want to install v43.0.1 x64 on Windows 2008 SBS but I receive the message that it requires windows 7 x64 and up. I am running Windows 2008 x64 Small Business Server.

I can install the v43.0.1 x86 version.

I want to install v43.0.1 x64 on Windows 2008 SBS but I receive the message that it requires windows 7 x64 and up. I am running Windows 2008 x64 Small Business Server. I can install the v43.0.1 x86 version.

Modified by edwinhengelman

Chosen solution

The 64-bit version of Firefox isn't compatible with Vista 64, and Windows 2008 SBS is the equivalent of Vista in the consumer market.

Sorry, you'll need to use the 32-bit versions of Firefox.

Read this answer in context 👍 2

All Replies (2)

more options

Chosen Solution

The 64-bit version of Firefox isn't compatible with Vista 64, and Windows 2008 SBS is the equivalent of Vista in the consumer market.

Sorry, you'll need to use the 32-bit versions of Firefox.

more options

The Win64 Firefox will only run on Windows 7, 8 (8.1), 10.

You need 32-bit Firefox for all other Windows OS's whether WinXP SP2+, Vista, 2003 + 2008 servers.

If you have KB2763674 patch for Windows Server 2008 SP2 then you may be able to run Firefox 43.0.2 and newer setups including 44.0.2. It will still have to be 32-bit Firefox. Or you can install the 43.0.1 and do internal Firefox update to 44.0.2

https://support.microsoft.com/en-us/kb/2763674